<?php
/**
 * 
 * $Id: jleagueAPI.php 459 2008-02-22 03:52:52Z koichi $
 */
require('jleagueAPI.class.php');

// URL引数を処理
$league = $_GET['league'];
$year = $_GET['year'];
$render = $_GET['_render'];
$callback = $_GET['_callback'];

// renderが空だったらjsonで返す
if($render == "") {
	$render = 'json';
}

// APIオブジェクト生成
$api = new jleagueAPI($league, $year);
// HTMLをパースする
$api->execParse();

// 結果形式に応じて出力する。
if($render == "xml") {
	print $api->getXML();
}
else if($render == "json") {
	$json = $api->getJSON(); 
	if($callback) {
		print $callback . '(' . $json . ')';
	}
	else {
		print $json;
	}
}
?>
