/* 
 * $Id: jleaguesearch.js 458 2008-02-22 03:52:32Z koichi $
 */

$( document ).ready( function(){
	$( 'form' ).submit( function(){
		jsonp_request();
		return false;
	});
});

/* 
 * jsonを処理する
 */
function jsonp_request()
{
	// APIのURLを生成
	var url = "http://labs.s-koichi.info/jleague/jleagueAPI.php?" 
		+ '_render=json'
		+ '&_callback={callback}'
		+  '&year=' + $( 'form > p > input[@name=year]').val()
		+  '&league=' + $( 'form > p > select[@name=league]').val();

	// 結果を一旦空に
	$( '#result' ).empty();
	// イメージ表示
	$( '#result' ).append( '<div class="loading"><img src="images/nowloading.gif" width="32" height="32" border="0" /></div>' );

	// APIを呼んで、JSONPを処理	
	$.getJSONP(url, function(tree) {
		// 結果を空にする。
		$( '#result' ).empty();
		// 件数が0だったら終了
		if(tree.count == 0) {
			return;
		}
		// table作成
		$( '#result' ).append( '<table id="jleague" border="0"></table>' );
	
		var i = 0;
		var sec = '';
		var date = '';
		$( tree.sec ).each( function () {
			line = '<tr class="header">';
			if( this.sec != sec ) {
				sec = this.sec;
				date = '';
				line += '<td class="sec" colspan="6">' + sec + '</td>';
			}
			else {
				line += '<td></td>';
			}
			line += '</tr>';
			$( line ).appendTo( '#jleague' );
			
			$( this.match ).each( function () {
				line = '';
				if((i % 2) == 0) {
					line += '<tr class="even">';
				}
				else {
					line += '<tr class="odd"';
				}
				if(date == '' || date != this.date) {
					date = this.date;
					line += '<td class="date">';
					if(date != null) {
						line += date;
					}
					line += '</td>';
				}
				else {
					line += '<td></td>';
				}
				line += '<td class="kickofftime">' + this.kickofftime + '</td>';
				line += '<td class="home">' + this.home + '</td>';
				line += '<td class="vs">';
				line += (this.score)?this.score:'vs';
				line += '</td><td class="away">' + this.away + '</td>';
				line += '<td class="place">' + this.place + '</td>';
				line += '</tr>';
				$( line ).appendTo( '#jleague' );

				i++;
			});
			
		});
	});
}
